<?php
require_once('config.php');
require_once('CheckRequestBase.php');

class APICheckRequest extends System {

	/*-------------------------------------------------------------------------
	* @ メンバ変数
	-------------------------------------------------------------------------*/
	private $signature					= NO_STRING;
	private $account					= NO_STRING;
	private $fromAccount				= NO_STRING;	// 送金元口座

	/*-------------------------------------------------------------------------
	* @function_name: ロジックのコンストラクタ
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function __construct() {
		parent::__construct();
	}

	/*-------------------------------------------------------------------------
	* @function_name: パスワードの更新
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function action() {

		// 変数宣言部
		$rtn		= array();

		try {

			// パラメータの設定
			$this -> signature		= $this -> getDataPost(PARAM_SIGNATURE);
			$this -> account		= $this -> getDataPost(PARAM_USER_ACCOUNT);
			$this -> fromAccount	= $this -> getDataPost(PARAM_FROM);							// 送金元口座

			// シグネチャのチェック（デバッグの場合は処理しない）
			if($this -> getDataPost('debug') == NO_STRING) {
				$this -> checkSignature($this -> signature, 'R' . $this -> account . $this -> fromAccount);
			}

		} catch (Exception $e) {
			throw $e;
		}
	}
}

try {


	$api = new APICheckRequest();
	$api -> action();

	// チェックロジック
	$api = new APICheckRequestBase();
	$api -> action();

	echo json_encode(array('result'		=> 'OK'
						, 'messages'	=> 'I_COMPLETE_PROCESS'));

} catch (Exception $e) {	// チェックエラー

	$rtn = array('result'		=> 'NG'
				, 'messages'	=> $e -> getMessage());

	echo json_encode($rtn);
}
?>